# TxResponse | xrpl
Documentation for xrpl

# Interface TxResponse

Response expected from a TxRequest.

#### Hierarchy

- BaseResponse
  - TxResponse

- Defined in packages/xrpl/src/models/methods/tx.ts:41

#####
Index

### Properties

api_version?
forwarded?
id
result
searched_all?
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:31

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:30

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:24

### result

result: Object

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/tx.ts:42

### `Optional` searched_all

searched_all?: boolean

If true, the server was able to search all of the specified ledger versions, and the transaction was in none of them. If false, the server did not have all of the specified ledger versions available, so it is not sure. If one of them might contain the transaction.

- Defined in packages/xrpl/src/models/methods/tx.ts:65

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:25

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:26

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:28

### `Optional` warnings

warnings?: Warning[]

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:29

Generated using TypeDoc